Bug 28084 - Standardize: Cardnumber, Card number, Card
Summary: Standardize: Cardnumber, Card number, Card
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 28047
  Show dependency treegraph
 
Reported: 2021-04-03 12:35 UTC by Katrin Fischer
Modified: 2021-10-22 15:44 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28084: Standardize: Cardnumber, Card number, Card (11.21 KB, patch)
2021-10-11 16:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28084: Standardize: Cardnumber, Card number, Card (11.26 KB, patch)
2021-10-12 23:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 28084: Standardize: Cardnumber, Card number, Card (11.36 KB, patch)
2021-10-19 21:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-04-03 12:35:13 UTC
We have different spellings in the templates that could/should be standardized to one spelling to ease translation and documentation.
Comment 1 Owen Leonard 2021-10-11 16:46:46 UTC
Created attachment 126048 [details] [review]
Bug 28084: Standardize: Cardnumber, Card number, Card

This patch modifies templates so that instances of "cardnumber" are
replaced with "card number."

Some instances where the word "card" is used by itself have been updated
to "library card" to add some context.

To test, apply the patch and view the following pages:

- Circulation -> Built-in offline circulation interface -> Submit the
  "Check out" form without entering  number. Check the alert message
  which appears.
- Go to Administration -> System preferences and enable the
  AutoMemberNum system preference and use the BorrowerMandatoryField
  preference to make card number mandatory.
  - Go to Patrons -> New patron. The hint under the "Card number" field
    should refer to "card number" instead of "cardnumber."
- Go to Tools -> Import patrons.
  - Under the page heading, the note should read "If a card number
    exists..."
  - Under "Field to use for record matching" you should see a "Card
    number" option in the menu.
  - If you try to import a CSV with an invalid card number you'll see an
    error message, "Card number X is not a valid card number."
- Under Tools -> Upload patron images, check the "image file" radio
  button. The card number field label should read "Enter patron card
  number."
- Log in to the OPAC as a patron whose card has been marked lost. Try to
  place a hold. You should see a message containing "please take your
  library card to the circulation desk"
  - On the "your summary" page you should see a message, "Your library
    card has been marked as lost or stolen."
  - Try to check out an item to this patron in the self-checkout system.
    You should be shown a message, "This library card has been declared
    lost."
Comment 2 David Nind 2021-10-12 11:43:30 UTC
For the Circulation Offline circulation pages I didn't get any alert message - not sure whether I've got something wrong or not.
- Circulation > Built-in offline circulation interface
- Offline circulation > Check out (says Scan a patron barcode to start)
- Click submit (without entering a patron card number)
- Enter item barcode + due date > Check out (nothing happens)

Everything else works as expected.

Testing notes:
- Enable AllowOfflineCirculation and patronimages system preferences
-
Comment 3 Owen Leonard 2021-10-12 14:52:21 UTC
(In reply to David Nind from comment #2)
> - Click submit (without entering a patron card number)
> - Enter item barcode + due date > Check out (nothing happens)

The error message should appear after clicking submit in the "check out" form in the header. I've gone over the test plan again and I don't know why it's behaving different for you.

Since it's just a string correction I think verifying the change in the patch should be okay.
Comment 4 David Nind 2021-10-12 23:27:18 UTC
Created attachment 126135 [details] [review]
Bug 28084: Standardize: Cardnumber, Card number, Card

This patch modifies templates so that instances of "cardnumber" are
replaced with "card number."

Some instances where the word "card" is used by itself have been updated
to "library card" to add some context.

To test, apply the patch and view the following pages:

- Circulation -> Built-in offline circulation interface -> Submit the
  "Check out" form without entering  number. Check the alert message
  which appears.
- Go to Administration -> System preferences and enable the
  AutoMemberNum system preference and use the BorrowerMandatoryField
  preference to make card number mandatory.
  - Go to Patrons -> New patron. The hint under the "Card number" field
    should refer to "card number" instead of "cardnumber."
- Go to Tools -> Import patrons.
  - Under the page heading, the note should read "If a card number
    exists..."
  - Under "Field to use for record matching" you should see a "Card
    number" option in the menu.
  - If you try to import a CSV with an invalid card number you'll see an
    error message, "Card number X is not a valid card number."
- Under Tools -> Upload patron images, check the "image file" radio
  button. The card number field label should read "Enter patron card
  number."
- Log in to the OPAC as a patron whose card has been marked lost. Try to
  place a hold. You should see a message containing "please take your
  library card to the circulation desk"
  - On the "your summary" page you should see a message, "Your library
    card has been marked as lost or stolen."
  - Try to check out an item to this patron in the self-checkout system.
    You should be shown a message, "This library card has been declared
    lost."

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2021-10-12 23:37:15 UTC
> The error message should appear after clicking submit in the "check out"
> form in the header. I've gone over the test plan again and I don't know why
> it's behaving different for you.
> 
> Since it's just a string correction I think verifying the change in the
> patch should be okay.

The text looks fine in the patch, so signed off. Tested again in Firefox and Google Chrome and the message block appeared.

Seems to be a browser specific issues - I tried it again and it worked in Google Chrome 94.0.4606.71 and Firefox 93.0 (64-bit) (on Ubuntu). It didn't work on Firefox Developer Edition - must be something to do with my settings in there (normally try and get it to start as if it was a fresh install).
Comment 6 Katrin Fischer 2021-10-19 21:45:55 UTC
Created attachment 126553 [details] [review]
Bug 28084: Standardize: Cardnumber, Card number, Card

This patch modifies templates so that instances of "cardnumber" are
replaced with "card number."

Some instances where the word "card" is used by itself have been updated
to "library card" to add some context.

To test, apply the patch and view the following pages:

- Circulation -> Built-in offline circulation interface -> Submit the
  "Check out" form without entering  number. Check the alert message
  which appears.
- Go to Administration -> System preferences and enable the
  AutoMemberNum system preference and use the BorrowerMandatoryField
  preference to make card number mandatory.
  - Go to Patrons -> New patron. The hint under the "Card number" field
    should refer to "card number" instead of "cardnumber."
- Go to Tools -> Import patrons.
  - Under the page heading, the note should read "If a card number
    exists..."
  - Under "Field to use for record matching" you should see a "Card
    number" option in the menu.
  - If you try to import a CSV with an invalid card number you'll see an
    error message, "Card number X is not a valid card number."
- Under Tools -> Upload patron images, check the "image file" radio
  button. The card number field label should read "Enter patron card
  number."
- Log in to the OPAC as a patron whose card has been marked lost. Try to
  place a hold. You should see a message containing "please take your
  library card to the circulation desk"
  - On the "your summary" page you should see a message, "Your library
    card has been marked as lost or stolen."
  - Try to check out an item to this patron in the self-checkout system.
    You should be shown a message, "This library card has been declared
    lost."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-10-21 10:24:46 UTC
Pushed to master for 21.11, thanks to everybody involved!